---
title: StyleSheet
slug: Web/API/StyleSheet
tags:
  - API
  - CSS
  - CSSOM
  - DOM
  - Interface
  - Reference
  - StyleSheet
---
<div>{{APIRef("CSSOM")}}</div>

<p class="summary">An object implementing the <code>StyleSheet</code> interface represents a single style sheet. CSS style sheets will further implement the more specialized {{domxref("CSSStyleSheet")}} interface.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("StyleSheet.disabled")}}</dt>
 <dd>Is a {{domxref("Boolean")}} representing whether the current stylesheet has been applied or not.</dd>
 <dt>{{domxref("StyleSheet.href")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} representing the location of the stylesheet.</dd>
 <dt>{{domxref("StyleSheet.media")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("MediaList")}} representing the intended destination medium for style information.</dd>
 <dt>{{domxref("StyleSheet.ownerNode")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("Node")}} associating this style sheet with the current document.</dd>
 <dt>{{domxref("StyleSheet.parentStyleSheet")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("StyleSheet")}} including this one, if any; returns <code>null</code> if there aren't any.</dd>
 <dt>{{domxref("StyleSheet.title")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} representing the advisory title of the current style sheet.</dd>
 <dt>{{domxref("StyleSheet.type")}}{{readonlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} representing the style sheet language for this style sheet.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('CSSOM', '#stylesheet', 'StyleSheet') }}</td>
   <td>{{ Spec2('CSSOM') }}</td>
   <td>No change from {{ SpecName('DOM2 Style') }}.</td>
  </tr>
  <tr>
   <td>{{ SpecName('DOM2 Style', 'stylesheets.html#StyleSheets-StyleSheet', 'StyleSheet') }}</td>
   <td>{{ Spec2('DOM2 Style') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StyleSheet")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CSSStyleSheet")}}</li>
</ul>
